package checkers;

import common.Location;
import common.Piece;

/**
 * Parameters for movement event
 *
 */
public class PieceMovedEvent {
	private Piece piece;
	private Location sourceLocation;
	
	public PieceMovedEvent(Piece piece, Location sourceLocation) {
		this.piece = piece;
		this.sourceLocation = sourceLocation;
	}
	
	/**
	 * @return the moving piece at the target location
	 */
	public Piece getPiece() {
		return piece;
	}
	
	/**
	 * @return the previous location of the piece
	 */
	public Location getSourceLocation() {
		return sourceLocation;
	}
	
}
