package common;

/**
 * A class representing the two opposing players in the game
 */
public enum Player {
	WHITE(1, 7), 
	BLACK(-1, 0);

	private int rowOffset;
	private int kingsRow;

	private Player(int offset, int kingsRow) {
		this.rowOffset = offset;
		this.kingsRow = kingsRow;
	}

	/**
	 * @return the offset of the "forward" row for this player
	 */
	public int getRowOffset() {
		return rowOffset;
	}

	/**
	 * @param row The current row
	 * @return the index of the next (forward) row given the current one 
	 */
	public int nextRow(int row) {
		return row + rowOffset;
	}

	/**
	 * @return the "last" row. Pawns reaching this row are promoted to Kings
	 */
	public int getKingsRow() {
		return kingsRow;
	}

}
